# Software Engineering Resume

## Contact Information

**Dylan Baird**

*Magog, Quebec, Canada*

*git* https://forgejo.dylanbaird.com/dylan

*website* https://dylanbaird.com

*email* dylan@dylanbaird.com

## General Summary

With nearly five years of professional engineering experience I have demonstrated a strong ability to learn quickly and adapt to the domain having worked in both healthcare and finance with no previous experience in either. I have strong skills in application development, security-focused engineering, and in systems and resource administration. I likewise have a strong capacity for communication which helps me understand business requirements to apply to a given solution or develop a new one and to then communicate with relevant parties (technical and not) to ensure the success of a project.

My intellectual background and studies in philosophy helps with analytic thinking, simplifying complexity, and communication. My past career of over ten years as a chef has helped me develop a very strong work ethic and an ability to take on responsibility. I am currently pursuing self-study of computer science fundamentals and cyber security and will continue this. Where I may lack experience, I make up for it with a willingness to learn, a passion for the craft, and an understanding that one progresses not by chance, but through hard work and study.

## Work History

### Security Infrastructure Engineer | Software Engineer

**Desjardins**

*December 2024 - Ongoing*

Member of infrastructure team responsible for security and infrastructure for the SOC at Desjardins. Responsible for provisioning, monitoring, optimizing, and securing Azure cloud resources. Assisted in managing complex networking given relationship to the larger Desjardins network. Worked with the team to develop and implement IAM for the SOC. Sole engineer responsible for development of an event-grid like system used within the SOC for access control, business reporting, and legal requirements. Responsible for aiding various teams in programming their solutions.

*Powershell, Python, Bicep, Azure, IAM, SQL, .NET, business analysis, testing, networking*

### DevSecOps Engineer

**Desjardins**

*September 2022 - November 2024*

DevSecOps developer building information management tools for the SOC at Desjardins. Used .NET technologies to develop a micro-services architecture application. Became responsible for crucial aspect of integration with other Desjardins technology systems. Member of five person tech lead panel. Mentored other developers. Used Powershell to automate Azure deployment. Wrote an automation tool to increase developer productivity on our team. Without fail, met expectations despite significant personal difficulties during this time. Member of small team leading a large architectural change to our primary product with performance and simplicity in mind.

*.NET, MS SQL Server, Blazor, EF Core, Powershell, Azure, business analysis, testing, microservices*

### DevOps Engineer

**Actium Technologie**

*September 2020 - August 2022*

Lead developer of technology startup operating in the healthcare sector. Responsible for database design and management, cloud deployment, application development, and regular meetings with clients (hospital management). Used PostgreSQL and SQL to develop a database schema to efficiently store information about every item in a hospital as well as user data, workflows, audits, and communication. Used a reporting engine to develop business analytics for client management. Used .NET to develop a robust API. Used Angular/Typescript/Ionic to develop mobile apps for hospital employees. Used RabbitMQ for real time communication between apps. Used Azure/Docker/Linux/Windows Server to deploy and establish CI/CD pipelines. Learned networking performance tuning.

*.NET, Postgres, SQL, Typescript, Angular, Ionic, Docker, Jenkins, Azure, Linux, business analysis, testing, performance*

## Education

### Honours Philosophy (with distinction)

**Concordia University**

Honours degree in philosophy with a focus on epistemology, metaphysics, and political philosophy.

Relevant CS elective courses taken:

- Object Oriented Programming
- Linear Algebra
- Databases

### Self-Study

I have a self study project with the intention of filling in the missing computer science fundamentals. This will be documented on my website shortly. Largely inspired by [Teach Yourself CS](https://teachyourselfcs.com/).

## Projects

### CTO ApplyAway

Technical founder of small startup. We aim to provide a better interface for navigating the Canadian immigration system. Workflow engine managing the immigration application process. i18n for multiple languages. Document management for required uploads. Security focused given sensitive information.

*.NET, Razor Pages, Python, Postgres, EF Core, S3, Docker, i18n, encrypted at rest, TailwindCSS*

### HomeLab

Running a server under my couch serving multiple services and internal tools for ~10 people. Hosting dev environment for small startup. Originally bare metal installations with systemd but moving to Docker and ultimately Kubernetes for practice. Migration details are available on my website (public git repo).

https://forgejo.dylanbaird.com/dylan/barrios

*Fedora Server, Docker, Docker Compose, Bash, ForgeJo, MinIO, Postgres, Caddy, Fail2Ban, IAM*

### Open Source 

Very small (but ongoing) contribution to a fun website for practicing classical guitar. I have an accepted PR adding local storage and a PR soon to be submitted for converting the site to a PWA.

https://github.com/braedon2/RCM-scale-practice

*JavaScript*

## Technologies & Skills

**.NET:** API, micro-services, Blazor, EF Core, and Razor Pages. 

**Front end:** Javascript, Typescript, Angular, and HTMX. 

**Database:** Postgres, MS SQL Server, MongoDB, and SQLite. 

**Security:** OWASP, Mitre, IAM, and experience working in a SOC. 

**Personal:** communication (written and oral), English (native), French (proficient), leadership, and mentorship. 

**Ops:** Linux, Docker, Bash, Powershell, Bicep, and Azure. 

**Misc:** RabbitMQ, HL7, and Ionic.

**Interest (amateur level):** Lisp (Racket), Golang, Python, and Kubernetes.